<template>
  <div :class="'middle-banner--' + color ">
    <h6 class="middle-banner__subheader">
      {{ subheader }}
    </h6>
    <h3 class="middle-banner__header">
      {{ header }}
    </h3>
    <read-btn
      :name="btnName"
      :link="link"
    ></read-btn>
    <!--        <img src="" alt="" class="middle-banner__img">-->
    <div :class="'middle-banner__illustration--' + color">
    
    </div>
  </div>
</template>

<script>

    import ReadBtn from "@/components/ReadBtn";

    export default {
        name: "MiddleBanner",
        props: ['header', 'subheader', 'btn-name', 'color', 'link'],
        components: {ReadBtn}
    }
</script>

<style lang="sass" scoped>
  .middle-banner
    display: inline-block
    width: rem(560)
    position: relative
    border-radius: rem(18)
    overflow: hidden
    text-align: left
    padding: 3% 1.5%
    margin-right: 15px
    
    &--violet
      @extend .middle-banner
      background-color: rgb(74, 0, 168)
    
    &--orange
      @extend .middle-banner
      background-color: rgb(222, 107, 0)
    
    &--green
      @extend .middle-banner
      background-color: rgb(0, 199, 115)
    
    .btn--ghost
      position: relative
      z-index: 1
    
    &__header
      position: relative
      z-index: 1
      font-size: rem(32)
      line-height: rem(38)
      max-width: 55%
      font-family: $Avenir
      color: $whiteText
      font-weight: 700
      margin-bottom: rem(35)
    
    &__subheader
      position: relative
      z-index: 1
      text-transform: uppercase
      color: $whiteText
      font-size: rem(11)
      line-height: rem(14)
      font-weight: 500
      letter-spacing: rem(1.8)
      opacity: 0.6
      min-height: rem(26)
      max-width: 65%
      margin-bottom: rem(15)
    
    &__illustration
      position: absolute
      display: block
      width: 100%
      height: 200%
      left: 10%
      top: 0
      z-index: 0
      background-color: rgba(179, 16, 220, 0.1)
      -webkit-border-radius: 100%
      -moz-border-radius: 100%
      border-radius: 100%
      
      &:after
        content: ''
        position: absolute
        display: block
        width: 100%
        height: 100%
        /*left: 0*/
        /*top: 30%*/
        z-index: 0
        background-color: rgba(179, 16, 220, 0.1)
        -webkit-border-radius: 100%
        -moz-border-radius: 100%
        border-radius: 100%
      
      &:before
        content: ''
        position: absolute
        display: block
        width: 150%
        height: 100%
        left: 15%
        top: -20%
        z-index: 0
        background-color: rgba(179, 16, 220, 0.1)
        -webkit-border-radius: 100%
        -moz-border-radius: 100%
        border-radius: 100%
      
      &--violet
        @extend .middle-banner__illustration
        background-color: rgba(179, 16, 220, 0.1)
        
        &:before
          background-color: rgba(179, 16, 220, 0.4)
          top: -50%
          left: 50%
        
        &:after
          top: 10%
          left: 35%
          background-color: rgba(179, 16, 220, 0.4)
      
      &--orange
        @extend .middle-banner__illustration
        background-color: rgba(255, 230, 3, 0.1)
        
        &:before
          left: 20%
          top: -60%
          background-color: rgba(255, 230, 3, 0.4)
        
        &:after
          left: 50%
          top: -35%
          background-color: rgba(255, 230, 3, 0.4)
      
      &--green
        @extend .middle-banner__illustration
        background-color: rgba(54, 191, 133, 0.4)
        
        &:before
          background-color: rgba(54, 191, 133, 0.4)
        
        &:after
          background-color: rgba(54, 191, 133, 0.4)
</style>